AM261x MCU+ SDK: __attribute__ Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
__attribute__ Struct Reference
APIs for SOC Specific Device Drivers » APIs for EDMA

## Detailed Description

EDMA Parameter RAM Set in User Configurable format This is a mapping of the EDMA PaRAM set provided to the user for ease of modification of the individual fields.

## Data Fields
uint32_t | opt
uint32_t | srcAddr
| Starting byte address of Source For FIFO mode, srcAddr must be a 256-bit aligned address. More...
uint16_t | aCnt
uint16_t | bCnt
uint32_t | destAddr
| Starting byte address of destination For FIFO mode, destAddr must be a 256-bit aligned address. i.e. 5 LSBs should be 0. More...
int16_t | srcBIdx
| Index between consec. arrays of a Source Frame (SRCBIDX). SRCBIDX is 24 Bit field. Lower 16 Bits are stored in this field. Higher 8 Bits are stored in srcBIdxExt. More...
int16_t | destBIdx
| Index between consec. arrays of a Destination Frame (DSTBIDX). DSTBIDX is 24 Bit field. Lower 16 Bits are stored in this field. Higher 8 Bits are stored in destBIdxExt. More...
uint16_t | linkAddr
| Address for linking (AutoReloading of a PaRAM Set) This must point to a valid aligned 32-byte PaRAM set A value of 0xFFFF means no linking. More...
uint16_t | bCntReload
| Reload value of the numArrInFrame (BCNT) Relevant only for A-sync transfers. More...
int16_t | srcCIdx
int16_t | destCIdx
uint16_t | cCnt
int8_t | srcBIdxExt
int8_t | destBIdxExt

## Field Documentation

## ◆ opt

uint32_t __attribute__::opt

## ◆ srcAddr

uint32_t __attribute__::srcAddr

Starting byte address of Source For FIFO mode, srcAddr must be a 256-bit aligned address.

## ◆ aCnt

uint16_t __attribute__::aCnt

## ◆ bCnt

uint16_t __attribute__::bCnt

## ◆ destAddr

uint32_t __attribute__::destAddr

Starting byte address of destination For FIFO mode, destAddr must be a 256-bit aligned address. i.e. 5 LSBs should be 0.

## ◆ srcBIdx

int16_t __attribute__::srcBIdx

Index between consec. arrays of a Source Frame (SRCBIDX). SRCBIDX is 24 Bit field. Lower 16 Bits are stored in this field. Higher 8 Bits are stored in srcBIdxExt.

## ◆ destBIdx

int16_t __attribute__::destBIdx

Index between consec. arrays of a Destination Frame (DSTBIDX). DSTBIDX is 24 Bit field. Lower 16 Bits are stored in this field. Higher 8 Bits are stored in destBIdxExt.

## ◆ linkAddr

uint16_t __attribute__::linkAddr

Address for linking (AutoReloading of a PaRAM Set) This must point to a valid aligned 32-byte PaRAM set A value of 0xFFFF means no linking.

## ◆ bCntReload

uint16_t __attribute__::bCntReload

Reload value of the numArrInFrame (BCNT) Relevant only for A-sync transfers.

## ◆ srcCIdx

int16_t __attribute__::srcCIdx

## ◆ destCIdx

int16_t __attribute__::destCIdx

## ◆ cCnt

uint16_t __attribute__::cCnt

## ◆ srcBIdxExt

int8_t __attribute__::srcBIdxExt

## ◆ destBIdxExt

int8_t __attribute__::destBIdxExt